import { getEmailFetchAction } from './../actions/EmailActions'

let timeoutID;
self.onmessage = (event) => {
  if (event.data.command === 'fetchEmail') {
    const param = event.data.param // { opi_sn: userId }

    const fetchEmails = () => {
      try {
        getEmailFetchAction(param);
      } catch (error) {
        console.error(error)
      }
      timeoutID = setTimeout(fetchEmails, 60 * 1000 * 2);
    };

    fetchEmails();
  }
  if (event.data.command === 'logout') {
    console.log('logout')
    clearTimeout(timeoutID)
  }
}
self.onerror = function (error) {
  console.error('Error in worker', error)
  postMessage({ error: error.message })
}
