'use strict';

const checkPhoneNumber = ctx => {
  const { phone } = ctx.query;
  return {
    is_whatsapp_number: true,
    contact_id: phone,
  };
};

const getOne = ctx => {
  const { whatsappId } = ctx.params;
  return { id: whatsappId };
};

module.exports = {
  checkPhoneNumber,
  getOne,
};
