'use strict';

// const controller = require('./channel.controller.js.bak');
const controller = require('./channel.controller');

module.exports = Router => {
  const router = new Router({
    prefix: `/channels`,
  });

  router
    .get('/qrcode', controller.newConnect)
    // .get('/qrcode', controller.qrcode)
    .get('/sessions', controller.getSessions)
    .get('/offline', controller.offline)
    .get('/hosted', controller.hosted)
    .get('/test', controller.test)
    .get('/', controller.getAll);

  return router;
};
