'use strict';

const db = require('../config').database;
const initModels = require('../models/init-models');

const Sequelize = db.sequelize;
const models = initModels(Sequelize);

const LogsModel = models.request_logs;

// LogsModel.sync({ force: false });

const createRequestLog = async data => {
  const r = await LogsModel.create(data, { logging: false });
  return r;
};

module.exports = { createRequestLog };
