'use strict';

const db = require('../config').database;
const { domain, name } = require('../config').server;
const initModels = require('../models/init-models');

const Sequelize = db.sequelize;
const models = initModels(Sequelize);

const WebhookModelModel = models.webhook_logs;

const addWebhookLog = async data => {
  const r = await WebhookModelModel.create({ ...data });
  return r;
};

module.exports = { addWebhookLog };
